跳转到主要内容
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
列出组织可访问的代码仓库
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "git_connection_host": "<string>",
      "git_connection_id": "<string>",
      "indexing_status": {
        "indexing_enabled": true,
        "latest_completed_search_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_completed_wiki_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_indexes": [
          {
            "branch_name": "<string>",
            "commit": "<string>",
            "created_at": 123,
            "job_id": "<string>",
            "status": "failed"
          }
        ]
      },
      "last_updated_at": 123,
      "provider_repository_id": "<string>",
      "repo_description": "<string>",
      "repo_language": "<string>",
      "repo_name": "<string>",
      "repo_path": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

权限

需要具备组织级别 Read 权限的服务用户。

查询参数

  • filter_name — 按名称筛选代码仓库 (不区分大小写的子字符串匹配) 。
  • only_repo_paths — 仅返回与这些路径匹配的代码仓库。
  • exclude_repo_paths — 排除与这些路径匹配的代码仓库。
  • load_indexing_status — 是否在响应中包含索引状态 (默认值:true) 。如果不需要索引状态,请将其设为 false,以加快响应速度。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

查询参数

after
string | null
first
integer
默认值:100
必填范围: 1 <= x <= 100
filter_name
string | null
only_repo_paths
string[] | null
exclude_repo_paths
string[] | null
load_indexing_status
boolean
默认值:true

响应

成功响应

items
RepositoryResponse · object[]
必填
end_cursor
string | null

用于获取下一页的游标;如果这是最后一页,则为 None。

has_next_page
boolean
默认值:false

此页之后是否还有更多条目。

total
integer | null

可选的总数(可省略以提升性能)。